
//
// Created by HW on 2023/07/26.
//

#ifndef OFFICEASSISTANT_MAINWINDOWLAYOUT_H
#define OFFICEASSISTANT_MAINWINDOWLAYOUT_H

#include <QWidget>
#include <QVBoxLayout>
#include "navbar.h"
#include "mainscreen.h"


QT_BEGIN_NAMESPACE
namespace Ui { class MainWindowLayout; }
QT_END_NAMESPACE

class MainWindowLayout : public QWidget {
Q_OBJECT

public:
    explicit MainWindowLayout(QWidget *parent = nullptr);

    ~MainWindowLayout() override;
protected:
    void resizeEvent(QResizeEvent *event) override;
    //void paintEvent(QPaintEvent *event) override;

private:
    Ui::MainWindowLayout *ui;
    QVBoxLayout *layout;
    QList<ButtonStruct *> list;
    NavBar *navBar;
    ButtonStruct *buttons;
    MainScreen *mainScreen;
};


#endif //OFFICEASSISTANT_MAINWINDOWLAYOUT_H
